.\"
.\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for
.\" permission to reproduce portions of its copyrighted documentation.
.\" Original documentation from The Open Group can be obtained online at
.\" http://www.opengroup.org/bookstore/.
.\"
.\" The Institute of Electrical and Electronics Engineers and The Open
.\" Group, have given us permission to reprint portions of their
.\" documentation.
.\"
.\" In the following statement, the phrase ``this text'' refers to portions
.\" of the system documentation.
.\"
.\" Portions of this text are reprinted and reproduced in electronic form
.\" in the SunOS Reference Manual, from IEEE Std 1003.1, 2004 Edition,
.\" Standard for Information Technology -- Portable Operating System
.\" Interface (POSIX), The Open Group Base Specifications Issue 6,
.\" Copyright (C) 2001-2004 by the Institute of Electrical and Electronics
.\" Engineers, Inc and The Open Group.  In the event of any discrepancy
.\" between these versions and the original IEEE and The Open Group
.\" Standard, the original IEEE and The Open Group Standard is the referee
.\" document.  The original Standard can be obtained online at
.\" http://www.opengroup.org/unix/online.html.
.\"
.\" This notice shall appear on any product containing this material.
.\"
.\" The contents of this file are subject to the terms of the
.\" Common Development and Distribution License (the "License").
.\" You may not use this file except in compliance with the License.
.\"
.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
.\" or http://www.opensolaris.org/os/licensing.
.\" See the License for the specific language governing permissions
.\" and limitations under the License.
.\"
.\" When distributing Covered Code, include this CDDL HEADER in each
.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
.\" If applicable, add the following below this CDDL HEADER, with the
.\" fields enclosed by brackets "[]" replaced with your own identifying
.\" information: Portions Copyright [yyyy] [name of copyright owner]
.\"
.\"
.\" Copyright (c) 2001, The IEEE and The Open Group.  All Rights Reserved.
.\" Portions Copyright (c) 2006, Sun Microsystems, Inc. All Rights Reserved.
.\"
.TH FMIN 3M "Oct 27, 2019" "SunOS 5.11" "Mathematical Library Functions"
.SH NAME
fmin, fminf, fminl \- determine minimum numeric value of two floating-point
numbers
.SH SYNOPSIS
.nf
c99 [ \fIflag\fR... ] \fIfile\fR... \fB-lm\fR [ \fIlibrary\fR... ]
#include <math.h>

\fBdouble\fR \fBfmin\fR(\fBdouble\fR \fIx\fR, \fBdouble\fR \fIy\fR);
.fi

.LP
.nf
\fBfloat\fR \fBfminf\fR(\fBfloat\fR \fIx\fR, \fBfloat\fR \fIy\fR);
.fi

.LP
.nf
\fBlong double\fR \fBfminl\fR(\fBlong double\fR \fIx\fR, \fBlong double\fR \fIy\fR);
.fi

.SH DESCRIPTION
These functions determine the minimum numeric value of their arguments. NaN
arguments are treated as missing data: if one argument is a NaN and the other
numeric, these functions choose the numeric value.
.SH RETURN VALUES
Upon successful completion, these functions return the minimum numeric value of
their arguments.
.sp
.LP
If just one argument is a NaN, the other argument is returned.
.sp
.LP
If \fIx\fR and \fIy\fR are NaN, a NaN is returned.
.SH ERRORS
No errors are defined.
.SH ATTRIBUTES
See \fBattributes\fR(7) for descriptions of the following attributes:
.sp

.sp
.TS
tab(	) box;
cw(2.75i) |cw(2.75i)
lw(2.75i) |lw(2.75i)
.
ATTRIBUTE TYPE	ATTRIBUTE VALUE
_
Interface Stability	Standard
_
MT-Level	MT-Safe
.TE

.SH SEE ALSO
.BR math.h (3HEAD),
.BR fdim (3M),
.BR fmax (3M),
.BR attributes (7),
.BR standards (7)
